                   WaverlyStreet Easy Money USER'S MANUAL

                      SETTING UP AND EDITING CATEGORIES

      Easy Money (EZM) organizes records according to categories that you
 create. The categories can be anything you want: "food", "shelter", "hobby",
 etc. To set up categories, press F8 (or the right arrow) at the main screen.
 The category box on the right side of the screen will shift colors to
 indicate that it is "on". Notice that there is now a new set of function key
 assignments at the top of the screen. To add a new category, press F2. You
 will be prompted to enter in a name. The name may be up to 16 characters
 long. Next, you must enter in a two-character category code. 
      (Note - the program sorts and displays the categories according to the
 alphabetical order of the CODES, not the NAMES. Also, codes need not be only
 the letters of the alphabet - numbers and punctuation marks can also be used.
 You may use this to arrange your category list however you want
 (experiment!)). Once you have entered the code press ENTER. The category list
 will be updated, sorted, and re-displayed.
 
      You may edit category names and codes by pressing F3 while the category
 list is "on". The list will again change color. Use the arrows and page up /
 page down to select the category in question, and press ENTER. Change the
 name and press ENTER, or press ENTER to leave it alone and go to the code.
 Change the code (if desired). When you are done with the code, press ENTER
 once again. EZM will now replace the old category name/code in the category
 file, and in all the records associated with that category.
 
      To delete a category, press F10 while the category list is "on". The
 list will change color. Use the arrows and page up / page down to select the
 category in question, and press ENTER. EZM will remove the category from the
 category file, and then prompt you for instructions on what to do with the
 newly "orphaned" records. If you chose to delete them, you must press "y" two
 times in a row. DELETED RECORDS CANNOT BE RECOVERED - THERE IS NO "UNDELETE"
 FUNCTION. You may, however, chose not to delete. The records will still
 exist, but they won't ever show up on any printed reports. To make the
 "orphans" re-appear on reports, just re-create the category (or any category
 with the same category code).
 
      You may merge two categories into one as follows: 1) Edit the obsolete
 category name and code to be exactly the same as the one with which you wish
 to merge. 2) Delete one of the two duplicate category designations, being
 careful NOT to delete the records too!
 
                              ADDING NEW RECORDS
 
      Once you have your categories set up, adding records is extremely quick
 and easy. At the main screen, press F2 (or insert). If you are recording
 money IN, press "i", for income. (Press any other key for an expense). Next,
 the category box will change color. Use the arrows and page up / page down to
 select the appropriate category, and press ENTER. To accept the default
 (current) date, press ENTER again. Type in the amount and press ENTER. Type
 in a note (if desired) and press ENTER again. The complete new entry will be
 displayed for your approval. Press any key other than "n" to accept it, "n"
 to reject it. That's it!
 
                           EDITING/DELETING RECORDS
 
      To edit a record, use the arrows and page up / page down to point to the
 desired line, and press ENTER. Now use the arrow keys to point to the item
 you wish to change, and press ENTER. Modify the field, and press ENTER when
 done. When everything is as you want, press F2 to save the revised record. If
 you wish to abandon your changes, press ESCAPE. To delete the record, press
 F10 (or delete). 
 
                          REVIEWING RECORDS ON SCREEN
 
      You may browse through all the current records by using the arrow keys,
 page up / page down, and the home and end keys. To narrow your view to only
 the records within a certain category, press F8 (or the right arrow) at the
 main screen. The category box will change color. Use the arrows and page up /
 page down to select the appropriate category, and press ENTER. In this mode,
 you will be able to see the entire note field (which is cut short on the main
 screen). You may edit and delete records just as if you were at the main
 screen.
 
                                  DATA YEARS
 
      EZM keeps a data file and a category file for each calendar year. When
 the program starts, the current year's data is selected by default. The first
 time the program is run in any given year, new files (empty files) will
 automatically be created. If there is an existing category list from the
 prior year, and you wish to continue with the same categories in a new year,
 DO NOT manually create any categories when the year changes! Instead, start
 the program and press F9 to change data years. Press the down arrow once to
 go to the prior year, and press ENTER. Now press F9 again, and select the
 current (default) year. Press "y" when the program asks if new files should
 be created. The old category list will be copied, and become the basis for
 new year's list. The new category list is completely separate from the past
 year's list. You may delete or add categories to one year, without having any
 effect on any other year. 
      
      To work with a previous year's data, press F9 at the main screen, and
 use the arrow keys to scroll backwards. Press ENTER when the desired year is
 indicated. If there are no files found, you will be prompted to either back
 out, or have the program create new files. If you chose to create new files,
 the category file for the year you were just looking at will be copied over.
 
                              GENERATING REPORTS
 
      Press F4 at the main screen to launch the reports utility. Now press
 either "a", to include all categories, or "s" to build a special list of
 categories just for this report. Once your categories are selected, enter in
 the starting month, and then the ending month. Next, select either a summary
 report, or the larger full report. Finally, select where the report is to be
 sent - printer ports 1 through 3, the screen, or a file. If you select file,
 you must type in a complete path and file name. The resultant ASCII file may
 be imported into any word processor.
 
                     MACRO FILES - (AUTOMATIC DATA ENTRY)
 
      Some of your expenses are probably identical (or nearly so) at regular
 intervals; the most obvious example being all those payroll deductions your
 employer makes for you. Rather than making a number of individual entries
 each time you get a paycheck, you can write a Macro File which will do most
 of that repetitive work for you. 
 
      The following is the complete text of the standard macro file
 (STANDARD.MCR) which comes with EZM. I hope that it explains the process:
 
 'File: STANDARD.MCR
 
 'This is a sample WaverlyStreet Easy Money 1.0 macro file.
 'These files are plain ASCII text files which can be created with the DOS
 'EDIT program, or other text editors.
 
 'Macro files are used to automate the input of recurring transactions - all
 'those various deductions from your payroll check being a fine example.
 'Instead of having to input single entries for federal tax, state tax,
 'social security, etc. every payday, create a macro file that does it for
 'you. 
 
 'The following rules apply to EZM .MCR files:
 
 'Blank lines, and lines which begin with " ' " are ignored.
 
 'Macro files must be pure ASCII text files - formatted files from word
 'processors won't work (although most word processors have an option to
 'save a file as "DOS text" or "ASCII text", either of which WILL work).
 
 'Macro format:
 
 'Since we are dealing with recurring transactions, the only unknown is the
 'date. When you run a macro file, the only information you must supply is
 'the macro file name and the date. The remainder of the information is
 'written into the macro file, and used over and over.
 
 'A single macro file may contain as many entries as you wish. There are
 'three items that you must include in the macro file for each entry:
 
 '1) the two-character category code
 '2) the amount of the transaction
 '3) the note
 
 'These items must be specified one after the other, each on a single line.
 
 'In the example immediately below, pretend that the beginning " ' " and
 'everything after and including " <- " does not exist.
 
 
 'ft <- category code being used for federal income tax
 '-100.00 <- the usual dollar amount for this (note minus sign)
 'payroll deduction <- a note about it
 
 
 'Note: unlike making single entries in the program, in a macro file the
 'amount, if negative (an expense) must have a preceding "-" (minus sign).
 'Positive amounts (money in) do not require anything special.
 
 'Each set of three sequential lines in the macro file which are not either
 'blank or beginning with " ' " will be read into the current data file as
 'an entry.
 
 'Errors will happen if the macro file is not properly written.
 
 'The following 12 lines comprise a "real" sample macro which will write
 'four separate entries to the current data file (blanks don't count):
 
 pa
 1000
 regular paycheck
 
 ft
 -100.00
 payroll deduction - federal IC tax
 
 st
 -30.00
 payroll deduction - state IC tax
 
 ct
 -25.00
 payroll deduction - city IC tax
 
 'You may create as many macro files as you wish, and each one may contain
 'as many entries as you wish. Macro filenames must end in the extension .mcr
 
 'The filename "standard.mcr" is hard-wired into the program as the default
 'macro name. To avoid having to type a filename, edit this particular file
 'to be your standard macro (change/add to those 12 lines above).
 
      Once you have created a macro file, make sure you test it carefully. Run
 a report and check to make sure all the information is being recorded
 properly.
 
      Note that even if the dollar amounts vary from paycheck to paycheck, it
 will probably still be quicker to run a macro and then edit the entries,
 rather than to make individual entries.
 
                                     SETUP
 
      There are a number of user-defined characteristics of EZM that you may
 modify by using the SETUP utility. To start SETUP, press F10 at the main
 screen. Select a SETUP option with the arrow keys and ENTER. Press ESCAPE to
 leave setup and save all configuration information. 
 
      USER NAME: Enter in your name as you would like for it to appear on Easy
 Money reports. 
 
      PASSCODE: If the passcode is set to anything other than 0, then the
 program will require that the correct passcode be entered upon start-up. The
 passcode may be up to four characters long, and each character must be one of
 the numbers 0 through 9.
 
      CURRENCY CHARACTER: Change this to whatever character you wish to have
 represent money. 
 
      SCREEN COLORS: Select this item to run the color configuration utility.
 To modify an item, move the pointer to it and press ENTER. The color will be
 changed to the next highest color number. (0 through 7 for backgrounds, 0
 through 15 for foregrounds.) Once you have the colors the way you want them,
 select "Save these colors and EXIT". You may also return to the default
 colors. (Note: you must "save" the default colors too.)
 
      SCRATCH FILE PATH: (mildly advanced feature) Certain EZM functions make
 extensive use of temporary files. If you have a RAM drive set up on your
 computer, you may experience some increased performance by directing EZM to
 use the RAM drive for these "scratch" files. The RAM drive needs to be larger
 than your largest [YYYY]EZM.DAT file. The path you type in must end in a
 backslash ( \ ). See your DOS manual for information on RAMDRIVE.SYS.
 
      REMINDER UTILITY: EZM incorporates a (completely un-related) little
 utility to help make sure that you don't forget up to 10 "VERY IMPORTANT BITS
 OF INFORMATION". You may toggle the reminder utility to run either every time
 you start the program, not at all, or only every time you start the program
 in a new month (my favorite).  To toggle the operational mode, select Show
 Reminders: and press ENTER. To enter a new, or edit an existing reminder,
 point to it and press ENTER. Work on the date, press ENTER, and then do the
 note (and press ENTER). 
 
                            MISCELLANEOUS FUNCTIONS
 
      CALCULATOR: At the main screen, or while viewing a specific category of
 records, you may press F6 to pop-up a very simple calculator. To use the
 calculator, type in the first value and press ENTER. Now use the down arrow
 key to scroll through functions. The calculator can add, subtract, multiply,
 and divide. When the desired function symbol is displayed, press ENTER. Now
 type in the second value, and press ENTER a third time. The whole little math
 problem and the answer are displayed. Press "y" to do another calculation
 using the product of the last one as the first value. Press any other key to
 quit the calculator.
 
      BACKUP FILES: At the main screen, press F7 to run the backup utility.
 Have a floppy disk ready, and press the letter of the floppy drive. This will
 copy all files with the .DAT extension to the floppy drive for safekeeping.
 Should your hard disk files be destroyed somehow, you may copy the backup
 files back into the EZMONEY directory. (Read your DOS or Windows manual for
 instructions on how to do this.)
 
      RE-SORT the data file: Press F5 at the main screen to re-sort the
 current data file. Records are sorted according to date and category code.
 During normal operation, new records are placed in order as they are entered.
 The only way that records would get out of order is if you were to edit them
 and change either the date or the category.
 
                                      ***
 
             WaverlyStreet, P.O. Box 14249, Columbus, Ohio, 43214 (US)
 
 Questions/comments to the address above, or via E-mail to: dgjess@infinet.com
 
    Easy Money (tm) Copyright (C) WaverlyStreet, 1996. All Rights Reserved
